import QtQuick 1.1
import com.nokia.meego 1.0
import "../forum"
import Forum 1.0

PageStackWindow {
    id: appWindow

    onOrientationChangeFinished: {
        showStatusBar = screen.currentOrientation == Screen.Portrait ||
                        screen.currentOrientation == Screen.InvertedPortrait
    }

    initialPage: MainPage { }

    ForumSession {
        id: forumSession
        provider: "tmo"
        url: "http://talk.maemo.org"

        onError: {
            errorDialog.message = message
            errorDialog.open();
        }
        onLoginFailed: {
            errorDialog.message = message
            errorDialog.open()
        }
    }

    ForumStyle {
        id: forumStyle

        viewHeaderTextColor: "#ffffff"
        viewHeaderBackgroundColor: "#424345"

        forumTitleTextColor: "#ea650a"
        highlightTextColor: "#ea650a"
        selectionColor: "#ea650a"

        colorThemeString: "color15-"

        titleImage: "file:///opt/forum-tmo/images/maemo.org.png"
        titleText: "- Talk"

        legal: 'This program is free software: you can redistribute it and/or modify ' +
            'it under the terms of the GNU General Public License as published by ' +
            'the Free Software Foundation, either version 3 of the License, or ' +
            '(at your option) any later version.<br /><br />' +

            'This package is distributed in the hope that it will be useful, ' +
            'but WITHOUT ANY WARRANTY; without even the implied warranty of ' +
            'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the ' +
            'GNU General Public License for more details.<br /><br />' +

            'You should have received a copy of the GNU General Public License ' +
            'along with this program. If not, see ' +
            '<a href="http://www.gnu.org/licenses" style="color:#ea650a">http://www.gnu.org/licenses</a><br /><br />' +

            'The source code of this program can be downloaded from Gitorious: ' +
            '<a href="https://gitorious.org/forum-qml/forum-tmo" style="color:#ea650a">https://gitorious.org/forum-qml/forum-tmo</a><br /><br />'
    }

    QueryDialog {
        id: errorDialog
        titleText: "Session error"
        icon: "image://theme/icon-l-error"
        acceptButtonText: "Ok"
    }
}
